{include="header"}

<script type="text/javascript">
   function clean_proveedor()
   {
      document.f_custom_search.ac_proveedor.value='';
      document.f_custom_search.codproveedor.value='';
      document.f_custom_search.ac_proveedor.focus();
   }
   $(document).ready(function() {
      
      {if="$fsc->mostrar=='buscar'"}
      document.f_custom_search.ac_proveedor.focus();
      {/if}
      
      $("#ac_proveedor").autocomplete({
         serviceUrl: '{$fsc->url()}',
         paramName: 'buscar_proveedor',
         onSelect: function (suggestion) {
            if(suggestion)
            {
               if(document.f_custom_search.codproveedor.value != suggestion.data && suggestion.data != '')
               {
                  document.f_custom_search.codproveedor.value = suggestion.data;
                  document.f_custom_search.submit();
               }
            }
         }
      });
   });
</script>

<div class="container-fluid" style="margin-top: 10px;">
   <div class="row">
      <div class="col-sm-6">
         <div class="btn-group hidden-xs">
            <a class="btn btn-sm btn-default" href="{$fsc->url()}" title="Recargar la página">
               <span class="glyphicon glyphicon-refresh"></span>
            </a>
            {if="$fsc->page->is_default()"}
            <a class="btn btn-sm btn-default active" href="{$fsc->url()}&amp;default_page=FALSE" title="desmarcar como página de inicio">
               <span class="glyphicon glyphicon-home"></span>
            </a>
            {else}
            <a class="btn btn-sm btn-default" href="{$fsc->url()}&amp;default_page=TRUE" title="marcar como página de inicio">
               <span class="glyphicon glyphicon-home"></span>
            </a>
            {/if}
         </div>
         <div class="btn-group">
            <a class="btn btn-sm btn-default" href="index.php?page=contabilidad_formas_pago">
               <span class="glyphicon glyphicon-cog"></span>
               <span class="hidden-xs">&nbsp; Formas de pago</span>
            </a>
            {loop="$fsc->extensions"}
               {if="$value->type=='button'"}
               <a href="index.php?page={$value->from}{$value->params}" class="btn btn-sm btn-default">{$value->text}</a>
               {/if}
            {/loop}
         </div>
      </div>
      <div class="col-sm-6 text-right">
         <div class="btn-group"><h2 style="margin-top: 0px;">Recibos de compra</h2></div>
         <div class="btn-group">
            <button type="button" class="btn btn-xs btn-default dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
               <span class="glyphicon glyphicon-sort-by-attributes-alt" aria-hidden="true"></span>
            </button>
            <ul class="dropdown-menu dropdown-menu-right">
               <li>
                  <a href="{$fsc->url()}&mostrar={$fsc->mostrar}&order=fecha_desc">
                     <span class="glyphicon glyphicon-sort-by-attributes-alt" aria-hidden="true"></span>
                     &nbsp; Fecha &nbsp;
                     {if="$fsc->order=='fecha DESC'"}<span class="glyphicon glyphicon-ok" aria-hidden="true"></span>{/if}
                  </a>
               </li>
               <li>
                  <a href="{$fsc->url()}&mostrar={$fsc->mostrar}&order=fecha_asc">
                     <span class="glyphicon glyphicon-sort-by-attributes" aria-hidden="true"></span>
                     &nbsp; Fecha &nbsp;
                     {if="$fsc->order=='fecha ASC'"}<span class="glyphicon glyphicon-ok" aria-hidden="true"></span>{/if}
                  </a>
               </li>
               <li>
                  <a href="{$fsc->url()}&mostrar={$fsc->mostrar}&order=fechav_desc">
                     <span class="glyphicon glyphicon-sort-by-attributes-alt" aria-hidden="true"></span>
                     &nbsp; Vencimiento &nbsp;
                     {if="$fsc->order=='fechav DESC'"}<span class="glyphicon glyphicon-ok" aria-hidden="true"></span>{/if}
                  </a>
               </li>
               <li>
                  <a href="{$fsc->url()}&mostrar={$fsc->mostrar}&order=fechav_asc">
                     <span class="glyphicon glyphicon-sort-by-attributes" aria-hidden="true"></span>
                     &nbsp; Vencimiento &nbsp;
                     {if="$fsc->order=='fechav ASC'"}<span class="glyphicon glyphicon-ok" aria-hidden="true"></span>{/if}
                  </a>
               </li>
               <li>
                  <a href="{$fsc->url()}&mostrar={$fsc->mostrar}&order=codigo_desc">
                     <span class="glyphicon glyphicon-sort-by-attributes-alt" aria-hidden="true"></span>
                     &nbsp; Código &nbsp;
                     {if="$fsc->order=='codigo DESC'"}<span class="glyphicon glyphicon-ok" aria-hidden="true"></span>{/if}
                  </a>
               </li>
               <li>
                  <a href="{$fsc->url()}&mostrar={$fsc->mostrar}&order=codigo_asc">
                     <span class="glyphicon glyphicon-sort-by-attributes" aria-hidden="true"></span>
                     &nbsp; Código &nbsp;
                     {if="$fsc->order=='codigo ASC'"}<span class="glyphicon glyphicon-ok" aria-hidden="true"></span>{/if}
                  </a>
               </li>
               <li>
                  <a href="{$fsc->url()}&mostrar={$fsc->mostrar}&order=importe_desc">
                     <span class="glyphicon glyphicon-sort-by-attributes-alt" aria-hidden="true"></span>
                     &nbsp; Importe &nbsp;
                     {if="$fsc->order=='importe DESC'"}<span class="glyphicon glyphicon-ok" aria-hidden="true"></span>{/if}
                  </a>
               </li>
            </ul>
         </div>
      </div>
   </div>
</div>

<ul class="nav nav-tabs">
   <li role="presentation"{if="$fsc->mostrar=='todo'"} class="active"{/if}>
      <a href="{$fsc->url()}">Todos los Recibos</a>
   </li>
   {if="$fsc->num_pendientes > 0"}
   <li role="presentation"{if="$fsc->mostrar=='pendientes'"} class="active"{/if}>
      <a href="{$fsc->url()}&mostrar=pendientes">
         <span class="glyphicon glyphicon-time"></span>
         <span class="hidden-xs">&nbsp; Pendientes</span>
         <span class="hidden-xs badge">{$fsc->num_pendientes}</span>
      </a>
   </li>
   {/if}
   {if="$fsc->num_vencidos > 0"}
   <li role="presentation"{if="$fsc->mostrar=='vencidos'"} class="active"{/if}>
      <a href="{$fsc->url()}&mostrar=vencidos" title="Vencidos">
         <span class="glyphicon glyphicon-exclamation-sign"></span>
         <span class="hidden-xs hidden-sm">&nbsp; Vencidos</span>
         <span class="badge">{$fsc->num_vencidos}</span>
      </a>
   </li>
   {/if}
   <li role="presentation"{if="$fsc->mostrar=='buscar'"} class="active"{/if}>
      <a href="{$fsc->url()}&mostrar=buscar" title="Buscar">
         <span class="glyphicon glyphicon-search"></span>
         {if="$fsc->mostrar=='buscar'"}
         <span class="badge">{$fsc->num_resultados}</span>
         {/if}
      </a>
   </li>
</ul>

{if="$fsc->mostrar=='buscar'"}
<br/>
<form name="f_custom_search" action="{$fsc->url()}" method="post" class="form">
   {if="$fsc->proveedor"}
   <input type="hidden" name="codproveedor" value="{$fsc->proveedor->codproveedor}"/>
   {else}
   <input type="hidden" name="codproveedor"/>
   {/if}
   <div class="container-fluid">
      <div class="row">
         <div class="col-sm-3">
            <div class="form-group">
               <div class="input-group">
                  {if="$fsc->proveedor"}
                  <input class="form-control" type="text" name="ac_proveedor" value="{$fsc->proveedor->nombre}" id="ac_proveedor" placeholder="Cualquier proveedor" autocomplete="off"/>
                  {else}
                  <input class="form-control" type="text" name="ac_proveedor" id="ac_proveedor" placeholder="Cualquier proveedor" autocomplete="off"/>
                  {/if}
                  <span class="input-group-btn">
                     <button class="btn btn-default" type="button" onclick="clean_proveedor()">
                        <span class="glyphicon glyphicon-remove"></span>
                     </button>
                  </span>
               </div>
            </div>
         </div>
         <div class="col-sm-2">
            <select name="estado" class="form-control" onchange="this.form.submit()">
               <option value="">Cualquier estado</option>
               <option value="">---</option>
               <option value="Emitido"{if="$fsc->estado=='Emitido'"} selected=""{/if}>Emitido</option>
               <option value="Pagado"{if="$fsc->estado=='Pagado'"} selected=""{/if}>Pagado</option>
               <option value="Vencido"{if="$fsc->estado=='Vencido'"} selected=""{/if}>Vencido</option>
            </select>
         </div>
         <div class="col-sm-2">
            <div class="form-group">
               <input type="text" name="desde" value="{$fsc->desde}" class="form-control datepicker" placeholder="Desde" autocomplete="off" onchange="this.form.submit()"/>
            </div>
         </div>
         <div class="col-sm-2">
            <div class="form-group">
               <input type="text" name="hasta" value="{$fsc->hasta}" class="form-control datepicker" placeholder="Hasta" autocomplete="off" onchange="this.form.submit()"/>
            </div>
         </div>
         <div class="col-sm-3">
            <div class="checkbox">
               <label>
                  {if="$fsc->check_vencimiento"}
                  <input type="checkbox" name="vencimiento" value="TRUE" checked="" onchange="this.form.submit()"/>
                  {else}
                  <input type="checkbox" name="vencimiento" value="TRUE" onchange="this.form.submit()"/>
                  {/if}
                  comprobar vencimiento
               </label>
            </div>
         </div>
      </div>
   </div>
</form>
{/if}

<div class="table-responsive">
   <table class="table table-hover">
      <thead>
         <tr>
            <th>Código + Proveedor</th>
            <th class="text-right">Importe</th>
            <th class="text-right">Emitido</th>
            <th class="text-right">Vencimiento</th>
            <th class="text-right">Estado</th>
            <th>Pago</th>
         </tr>
      </thead>
      {loop="$fsc->resultados"}
      <tr class="clickableRow{if="$value->estado=='Pagado'"} success{elseif="$value->vencido()"} danger{/if}" href="{$value->url()}">
         <td><a href="{$value->url()}">{$value->codigo}</a> {$value->nombreproveedor}</td>
         <td class="text-right">{$fsc->show_precio($value->importe, $value->coddivisa)}</td>
         <td class="text-right">{$value->fecha}</td>
         <td class="text-right">
            {if="$value->fechav==$fsc->today()"}
            <b>{$value->fechav}</b>
            {else}
            {$value->fechav}
            {/if}
         </td>
         <td class="text-right">{$value->estado}</td>
         <td>
            {if="$value->fechap"}{$value->fechap}{else}-{/if}
         </td>
      </tr>
      {else}
      <tr class="warning">
         <td colspan="6">Sin resultados.</td>
      </tr>
      {/loop}
      {if="$fsc->total_resultados!==''"}
      <tr>
         <td colspan="2" class="text-right">
            {$fsc->total_resultados_txt} &nbsp; <b>{$fsc->show_precio($fsc->total_resultados)}</b>
         </td>
         <td colspan="4"></td>
      </tr>
      {/if}
   </table>
</div>

<div class="container-fluid">
   <div class="row">
      <div class="col-sm-12 text-center">
         <ul class="pagination">
            {loop="$fsc->paginas()"}
            <li{if="$value['actual']"} class="active"{/if}>
               <a href="{$value['url']}">{$value['num']}</a>
            </li>
            {/loop}
         </ul>
      </div>
   </div>
</div>

{include="footer"}